Skip to content
BleemeoBleemeo

List recording rule templates

GET
/v1/recordingrule/template/
curl --request GET \
--url https://example.com/v1/recordingrule/template/ \
--header 'Authorization: Bearer <token>'

Return the library of recording rule templates available as starting points.

active
boolean
cursor
string

The pagination cursor value.

id
string format: uuid
page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>
object
id
required
string
name
required
string
category
required
string
tags
required
Array<string>
suggested_name
required
string
query
required
string
description
string
""
params
required
Array<object>
object
name
required
string
label
required
string
type
  • text - text
  • string - string
  • metric - metric
  • float - float
  • duration - duration
string
default: text
Allowed values: text string metric float duration
default
string
nullable
default_unit
required
integer
default_threshold_high_warning
required
number format: double
nullable
default_threshold_high_critical
required
number format: double
nullable
default_threshold_low_warning
required
number format: double
nullable
default_threshold_low_critical
required
number format: double
nullable

Example

{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"description": "",
"params": [
{
"type": "text"
}
]
}
]
}